Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create approval respond

POST/workspaces/{organizationId}/approvals/{id}/respond
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
statusstringrequired
Allowed:approvedrejected
Responses
200

Approval resolved

idstringrequired
organizationIdstringrequired
issueIdstringrequired
requestedByIdstringrequired
approverIdstringrequired
statusstringrequired
Allowed:pendingapprovedrejected
commentstring | nullrequired
createdAtstringrequired
resolvedAtstring | nullrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/approvals/string/respond' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "approved"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "issueId": "string",
  "requestedById": "string",
  "approverId": "string",
  "status": "pending",
  "comment": "string",
  "createdAt": "string",
  "resolvedAt": "string"
}

Was this page helpful?